[PATCH] add scripts/checkarch.sh

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Fix the commit d2a186088d1b4a6fa2f05cccf5a40f9720a09bf1.

Signed-off-by: FUJITA Tomonori <fujita.tomonori@xxxxxxxxxxxxx>
---
 scripts/checkarch.sh |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100755 scripts/checkarch.sh

diff --git a/scripts/checkarch.sh b/scripts/checkarch.sh
new file mode 100755
index 0000000..bd4c21b
--- /dev/null
+++ b/scripts/checkarch.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+arch=`gcc -dumpmachine`
+
+case $arch in
+`echo $arch | grep x86_64`)
+	echo -m64
+	;;
+`echo $arch | grep "i[3-6]86"`)
+	echo -m32
+	;;
+*)
+	echo '
+	Failed to parse your architecture.
+	Please run
+
+	$ make check32
+
+	or
+
+	$ make check64
+
+	manually.
+	'
+	exit 1
+;;
+esac
-- 
1.6.5

--
To unsubscribe from this list: send the line "unsubscribe stgt" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux SCSI]     [Linux RAID]     [Linux Clusters]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]

  Powered by Linux